package com.xkrs.service;

import com.xkrs.model.entity.SysAuthorityEntity;

import java.util.List;

/**
 * 系统权限服务接口
 * @author tajochen
 */
public interface SysAuthorityService {

    /**
     * 获取权限实体列表根据用户名
     * @param userName
     * @return
     */
    List<SysAuthorityEntity> getSysAuthorityListByUserName(String userName);

    List<SysAuthorityEntity> findAllByIdIn(List<Integer> id);

    List<Integer> selectAuthorityByUserId(Integer userId);
}
